/**
 * @author Anna R. Zhukova
 */
package ru.amse.javadependencies.zhukova.modelbuilding.tree.popupmenu;

import ru.amse.javadependencies.zhukova.ui.tree.CheckNode;

import javax.swing.*;
import java.awt.event.ActionEvent;

public class HideAll extends AbstractAction {
    private static final HideAll ourInstance = new HideAll();

    public static HideAll getInstance() {
        return ourInstance;
    }

    private HideAll() {
        super("hide all");
    }

    public void actionPerformed(ActionEvent e) {
        PopUpMenu.visitRow(false, CheckNode.OUR_DIG_IN_SELECTION, true);
    }
}