package ru.amse.javadependencies.zhukova.analyser;

import ru.amse.javadependencies.zhukova.data.IPackage;
import ru.amse.javadependencies.zhukova.data.IClass;
import ru.amse.javadependencies.zhukova.data.dependencies.impl.DependencyGraph;

import java.io.IOException;

/**
 * @author Anna R. Zhukova
 */
public interface IDependenciesAnalyser {
    void analyse() throws IOException;

    DependencyGraph<IPackage> getPackageDependencyGraph();

    DependencyGraph<IClass> getClassDependencyGraph();
}
