package ru.amse.javadependencies.zhukova.data.dependencies.impl;

import ru.amse.javadependencies.zhukova.data.IJavaElement;
import ru.amse.javadependencies.zhukova.data.dependencies.IDependency;

/**
 * @author Anna R. Zhukova
 */
public abstract class Dependency<S extends IJavaElement> implements IDependency<S> {
    private final S myServer;

    public Dependency(S server) {
        myServer = server;
    }

    public S getServer() {
        return myServer;
    }
}
