package ru.amse.javadependencies.zhukova.model;

import ru.amse.javadependencies.zhukova.model.impl.SimpleVertex;

import java.util.List;
import java.awt.*;

/**
 * @author Anna R. Zhukova
 */
public interface IArc {

    public SimpleVertex getFromVertex();

    public SimpleVertex getToVertex();

    public List<String> getToolTipText();

    public String getToolTipHTML();
    
    public void paintIfNeeded(Graphics g);

    public void paint(Graphics g);

    public boolean hitTest(Point p);

    public boolean isHidden();
}
